jQuery(document).ready(function($) {

		/* For Upload */
		var drop = $( "#gutentor-icons-files" );
		drop.on( 'dragenter', function( e ) {
			$( ".gutentor-icons-drop" ).css( {
				"border": "4px dashed #09f",
				"background": "rgba(0, 153, 255, .05)"
			} );
			$( ".gutentor-icons-cont" ).css( {
				"color": "#09f"
			} );
		} ).on( 'dragleave dragend mouseout drop', function( e ) {
			$( ".gutentor-icons-drop" ).css( {
				"border": "3px dashed #DADFE3",
				"background": "transparent"
			} );
			$( ".gutentor-icons-cont" ).css( {
				"color": "#8E99A5"
			} );
		} );

		var timeout;

		function progress_bar( max, time ) {
			$( '.gutentor-icons-progress .bar' ).stop().animate({"width": max + '%'}, time );
		}

		/*Load CSS*/
		let lodStaticCssOnHead = (staticCss) =>{
			if( staticCss.id && staticCss.href){
				let styleSelector = window.document;
				if (styleSelector.getElementById(staticCss.id) === null) {
					let link = document.createElement('link');
					link.type = 'text/css';
					link.rel = 'stylesheet';
					link.id = staticCss.id;
					styleSelector.getElementsByTagName("head")[0].appendChild(link);
					link.href = staticCss.href;
				}
				else{
					styleSelector.getElementById(staticCss.id).href = staticCss.href;
				}
			}
		}

		/*import Fonts*/
		function importFonts() {
			if ( window.FormData === undefined ) {
				return true;
			}

			let fd            = new FormData(),
				file          = $( '#gutentor-icons-files' );

			if ( ! file.val() ) {
				return false;
			}

			/*Actual Start*/
			let individual_file = file[0].files[0],
				_wpnonce         = $('#gutentor_meta_box').find( 'input[name=gutentor_meta_nonce]' );

			fd.append( 'gutentor-upload-zip-archive', individual_file );
			fd.append( 'action', 'gutentor_save_icons' );
			fd.append( 'gutentor_meta_nonce', _wpnonce.val() );
			fd.append( 'post_id', GUTENTOR_CUSTOM_ICONS.post_id );

			file.val( '' );
			$.ajax(
				{
					type: 'POST',
					url: GUTENTOR_CUSTOM_ICONS.ajax_url,
					data: fd,
					cache: false,
					contentType: false,
					processData: false,
				}
			).done(
				function ( response ) {
					if ( typeof response !== 'object') {
						response = JSON.parse( response );
					}
					if ( ! response.success ||
						!response.data ||
						!response.data.iconsInfo ||
						!response.data.iconsInfo.icons ||
						!response.data.iconsInfo.url
					) {
						console.log('Failed');
						return false
					}
					$('#gutentor-icons-files, #gutentor-icon-info').addClass('hidden');
					$('#gutentor-icons-delete').removeClass('hidden');
					lodStaticCssOnHead({
						id: 'gutentor-custom-fonts-css-'+GUTENTOR_CUSTOM_ICONS.post_id,
						href: response.data.iconsInfo.url
					})
					$('#gutentor-icons-preview').html(response.data.iconsInfo.preview)
					return false;

				}
			).fail(
				function (jqXHR, textStatus, errorThrown) {
					aiFail( '', jqXHR, textStatus, errorThrown );
					return false;
				}
			);
			return false;
		};

		/*Delete Fonts*/
		function deleteFonts() {

			let _wpnonce         = $('#gutentor_meta_box').find( 'input[name=gutentor_meta_nonce]' );

			var data = {
				action   : 'gutentor_delete_icons',
				gutentor_meta_nonce    : _wpnonce.val(),
				post_id : GUTENTOR_CUSTOM_ICONS.post_id
			};

			$.ajax(
				{
					type: 'POST',
					url: GUTENTOR_CUSTOM_ICONS.ajax_url,
					data: data,
				}
			).done(
				function ( response ) {
					if ( typeof response !== 'object') {
						response = JSON.parse( response );
					}
					if ( ! response.success ) {
						console.log('Failed');
						return false
					}
					$('#gutentor-icons-files, #gutentor-icon-info').removeClass('hidden');
					$('#gutentor-icons-delete').addClass('hidden');

					$('#gutentor-icons-preview').html('')
					return false;

				}
			).fail(
				function (jqXHR, textStatus, errorThrown) {
					aiFail( '', jqXHR, textStatus, errorThrown );
					return false;
				}
			);
			return false;
		};

		/* Add Font */
		$( '#gutentor-icons-files' ).on( 'change', function(e) {
			e.preventDefault();
			importFonts()
		} );

		/*Delete Fonts*/
		$( '#gutentor-icons-delete' ).on( 'click', function(e) {
			e.preventDefault();
			deleteFonts()
		} );

	}
);