<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

/**
 *
 * @link              https://www.gutentor.com/
 * @since             1.0.0
 * @package           Gutentor
 *
 * @wordpress-plugin
 * Plugin Name:       Gutentor Pro
 * Plugin URI:        https://www.gutentor.com/
 * Description:       Premium version of Gutentor
 * Version:           1.0.0
 * Author:            Gutentor
 * Author URI:        https://www.gutentor.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       gutentor-pro
 * Domain Path:       /languages
 */

/*Define Constants for this plugin*/
define( 'GUTENTOR_PRO_VERSION', '1.0.0' );
define( 'GUTENTOR_PRO_FILE', __FILE__ );
define( 'GUTENTOR_PRO_PLUGIN_NAME', 'gutentor-pro' );
define( 'GUTENTOR_PRO_PATH', plugin_dir_path( GUTENTOR_PRO_FILE ) );
define( 'GUTENTOR_PRO_URL', plugin_dir_url( GUTENTOR_PRO_FILE ) );
define( 'GUTENTOR_PRO_SCRIPT_PREFIX', ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-gutentor-activator.php
 */
function activate_gutentor_pro() {
	require_once GUTENTOR_PRO_PATH . 'includes/activator.php';
	Gutentor_Pro_Activator::activate();
}


/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require GUTENTOR_PRO_PATH . 'includes/init.php';


/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-gutentor-deactivator.php
 */
function deactivate_gutentor_pro() {
	require_once GUTENTOR_PRO_PATH . 'includes/deactivator.php';
	Gutentor_Pro_Deactivator::deactivate();
}

register_activation_hook( GUTENTOR_PRO_FILE, 'activate_gutentor_pro' );
register_deactivation_hook( GUTENTOR_PRO_FILE, 'deactivate_gutentor_pro' );

/**
 * Begins execution of the plugin.
 *
 * Since it is addons of gutentor,
 * it need to load via plugins_loaded
 *
 * @since    1.0.0
 */
if ( ! function_exists( 'gutentor_pro' ) ) {

	function gutentor_pro() {

		return Gutentor_Pro::instance();
	}
}
if ( ! function_exists( 'run_gutentor_pro' ) ) {

	function run_gutentor_pro() {
		if ( function_exists( 'run_gutentor' ) ) {
			gutentor_pro()->run();
		} else {
			gutentor_pro();
		}

	}
}
add_action( 'plugins_loaded', 'run_gutentor_pro' );
