<?php
if ( ! class_exists( 'EDD_SL_Plugin_Updater' ) ) {
	// load our custom updater
	include dirname( __FILE__ ) . '/EDD_SL_Plugin_Updater.php';
}

/**
 * Initialize the updater. Hooked into `init` to work with the
 * wp_version_check cron job, which allows auto-updates.
 */
function gutentor_pro_edd_plugin_updater() {

	// To support auto-updates, this needs to run during the wp_version_check cron job for privileged users.
	$doing_cron = defined( 'DOING_CRON' ) && DOING_CRON;
	if ( ! current_user_can( 'manage_options' ) && ! $doing_cron ) {
		return;
	}
	// setup the updater
	$edd_updater = new EDD_SL_Plugin_Updater(
		gutentor_pro_license_init()->api_url,
		gutentor_pro_license_init()->plugin_file,
		gutentor_pro_license_init()->api_data
	);
}
add_action( 'init', 'gutentor_pro_edd_plugin_updater' );
